Skip to main content
PUT
Edit an OAuth connection’s scopes and integration access

Authorizations

factorize_session
string
cookie
required

Path Parameters

grantId
string
required
Minimum string length: 1

Body

application/json
disabledScopes
enum<string>[]
required
Maximum array length: 16
Available options:
team:read,
team:write,
triggers:read,
triggers:write,
runs:read,
runs:invoke,
runs:start,
runs:cancel,
runs:write,
integrations:read,
integrations:write,
skills:read,
skills:write,
proxy:use,
vm:grant,
apps:manage
integrationOverrides
object
required

Integration ID to approved epoch-bound scope, or false to block.

expectedRevision
integer
Required range: 0 <= x <= 9007199254740991

Response

Permissions saved

ok
boolean
required